Ticket #34735

JTalkの連続読み上げが途中で止まることがある

Open Date: 2014-12-23 18:35 Last Update: 2015-02-24 14:32

Reporter: nishimoto Owner: nishimoto
Type: Bugs Status: Closed
Component: 音声合成 MileStone: 2015.1jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

JTalk のドライバーで IndexCommand の処理の解釈が間違っていたところがあり、 下記のようなコマンドが送られたときに Index 11 が終了したことにならず、 連続読み上げが途中で止まってしまうようです。

IO - speech.speak (12:50:18):
Speaking [
IndexCommand(1), LangChangeCommand ('ja_JP'), u’行1\n’, 
IndexCommand(2), IndexCommand(3), u’行2\n’, 
IndexCommand(4), IndexCommand(5), u’行3\n’, 
IndexCommand(6), u’行4\n’, 
IndexCommand(7), u’行5\n’, 
IndexCommand(8), IndexCommand(9), u’行6\n’, 
IndexCommand(10), IndexCommand(11)
]

Attachment File List

No attachments

Ticket History (3/4 Histories)

2014-12-23 18:35 Updated by: nishimoto
  • New Ticket "JTalkの連続読み上げが途中で止まることがある" created
2014-12-29 19:49 Updated by: nishimoto
  • Milestone Update from (None) to 2015.1jp (closed)
  • Resolution Update from None to Accepted
Comment

本件に関する miscDepsJp サブモジュールの修正:

To git@bitbucket.org:nvdajp/nvdajpmiscdep.git
   2180065..fa54395  master -> master
2014-12-29 19:58 Updated by: nishimoto
  • Resolution Update from Accepted to Fixed
Comment

miscDepsJp サブモジュールの更新に関する nvdajp レポジトリのコミット:

To git@bitbucket.org:nvdajp/nvdajp.git
   8cbca19..92c0b12  jpbeta -> jpbeta
2015-02-24 14:32 Updated by: nishimoto
  • Ticket Close date is changed to 2015-02-24 14:32
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login